## mandelbulber2 2.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mandelbulber2)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# qt intermediate build config and setup
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
#set(CMAKE_AUTOUIC ON)

# find necessary qt libraries
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Network)
find_package(Qt5Gui)
find_package(Qt5UiTools)
find_package(Qt5Test)

# find required other libraries
find_package(PNG REQUIRED)
find_package(GSL REQUIRED)

# find optional other libraries
find_package(TIFF)
find_package(JPEG)
find_package(ZLIB)
find_package(ECM NO_MODULE)

IF(ECM_FOUND)
    set(CMAKE_MODULE_PATH ${ECM_FIND_MODULE_DIR})
    find_package(OpenEXR)
ENDIF()

IF(WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GL /Ox")
ELSE()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math -fopenmp -std=c++11")
ENDIF()

# find all sources
file(GLOB srcHeader "mandelbulber2/src/*.h" "mandelbulber2/src/*.hpp")
file(GLOB srcDef "mandelbulber2/src/*.c" "mandelbulber2/src/*.cpp")
file(GLOB qtHeader "mandelbulber2/qt/*.h" "mandelbulber2/qt/*.hpp")
file(GLOB qtDef "mandelbulber2/qt/*.c" "mandelbulber2/qt/*.cpp")
set(SOURCE_FILES ${srcHeader} ${srcDef} ${qtHeader} ${qtDef})

# set additional files for compilation
set(ADDITIONAL_EXECUTABLE mandelbulber2/qt/icons.qrc)

# find all ui files in qt/*.ui and add for header generation and linking
file(GLOB qt_UI "mandelbulber2/qt/*.ui")
QT5_WRAP_UI(qt_UI_H ${qt_UI})

include_directories(mandelbulber2/qt)
include_directories(mandelbulber2/src)

# add source files to the build target
add_executable(mandelbulber2 ${SOURCE_FILES} ${ADDITIONAL_EXECUTABLE} ${qt_UI_H})

# link qt libraries
target_link_libraries(mandelbulber2 Qt5::Widgets)
target_link_libraries(mandelbulber2 Qt5::Core)
target_link_libraries(mandelbulber2 Qt5::Network)
target_link_libraries(mandelbulber2 Qt5::Gui)
target_link_libraries(mandelbulber2 Qt5::UiTools)
target_link_libraries(mandelbulber2 Qt5::Test)

# link required other libraries
include_directories(${PNG_INCLUDE_DIR} ${GSL_INCLUDE_DIRS})
target_link_libraries(mandelbulber2 ${PNG_LIBRARY} ${GSL_LIBRARIES})

# link optional other libraries and set corresponding define flag
IF(TIFF_FOUND)
    include_directories(${TIFF_INCLUDE_DIR})
    target_link_libraries(mandelbulber2 ${TIFF_LIBRARY})
    add_definitions(-DUSE_TIFF)
ENDIF()

IF(OpenEXR_FOUND)
    include_directories(${OpenEXR_INCLUDE_DIRS})
    target_link_libraries(mandelbulber2 ${OpenEXR_LIBRARIES})
    add_definitions(-DUSE_EXR)
ENDIF()

IF(ZLIB_FOUND)
    include_directories(${ZLIB_INCLUDE_DIRS})
    target_link_libraries(mandelbulber2 ${ZLIB_LIBRARIES})
ENDIF()

IF(JPEG_FOUND)
    include_directories(${JPEG_INCLUDE_DIR})
    target_link_libraries(mandelbulber2 ${JPEG_LIBRARY})
ENDIF()

# generate proper GUI program on specified platform
IF(WIN32 AND MSVC) # Check if we are using the Visual Studio compiler on windows
	set_target_properties(${PROJECT_NAME} PROPERTIES
		WIN32_EXECUTABLE YES
		LINK_FLAGS "/SUBSYSTEM:WINDOWS"
	)
ENDIF()

## mandelbulber2 2.07.1

=== debian/changelog ===
mandelbulber2 (2.07.1-2mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add alternative build-dep for libgsl0-dev.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 07 Aug 2016 15:37:09 -0700

mandelbulber2 (2.07.1-2) unstable; urgency=medium

  * Add a few missing files in debian/copyright.
  * Build depend on libpng-dev instead of libpng12-dev for the libpng16
    transition (closes: #821726).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 19 Apr 2016 00:32:55 +0200

mandelbulber2 (2.07.1-1) unstable; urgency=medium

  * Initial release (closes: #819431).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 17 Apr 2016 22:30:24 +0200

=== debian/control ===
Source: mandelbulber2
Section: math
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
 libgsl-dev | libgsl0-dev, qttools5-dev, qttools5-dev-tools, docbook-xsl,
 xsltproc
Standards-Version: 3.9.8
Homepage: https://github.com/buddhi1980/mandelbulber2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git

Package: mandelbulber2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 mandelbulber2-data (= ${source:Version})
Description: 3D fractal renderer and animator
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.
 .
 Mandelbulber2 is a complete rewriting from scratches of Mandelbulber by
 the same author. It will obsolete Mandelbulber as soon as it reaches
 feature parity.

Package: mandelbulber2-data
Architecture: all
Depends: ${misc:Depends}
Description: 3D fractal renderer and animator - data files
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.
 .
 Mandelbulber2 is a complete rewriting from scratches of Mandelbulber by
 the same author. It will obsolete Mandelbulber as soon as it reaches
 feature parity.
 .
 This package contains architecture-independent data files for
 Mandelbulber2.

## mandelbulber2 2.08.3

=== debian/changelog ===
mandelbulber2 (2.08.3-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:07 +0000

mandelbulber2 (2.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Removing Debian patches, since they have been accepted upstream.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 10 Aug 2016 23:16:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: mandelbulber2
 Section: math
 Priority: extra
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
- libgsl-dev | libgsl0-dev, qttools5-dev, qttools5-dev-tools, docbook-xsl,
- xsltproc
+Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev, libgsl-dev,
+ qttools5-dev, qttools5-dev-tools, docbook-xsl, xsltproc
 Standards-Version: 3.9.8
 Homepage: https://github.com/buddhi1980/mandelbulber2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
@@ -14,8 +11,7 @@
 
 Package: mandelbulber2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- mandelbulber2-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT=qt5

%:
	dh $@

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.man.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_clean:
	cd mandelbulber2/Release ; if [ -f Makefile ] ; then make clean ; rm Makefile ; fi
	rm -f *.1

override_dh_auto_configure:
	cd mandelbulber2/Release ; qmake -qt5

override_dh_auto_build: mandelbulber2.1
	cd mandelbulber2/Release ; make

override_dh_auto_install:
	dh_install -pmandelbulber2 mandelbulber2/Release/mandelbulber2 usr/bin
	dh_install -pmandelbulber2-data mandelbulber2/deploy/share/mandelbulber2 usr/share
	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/data
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/qt_data
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/language
	dh_install -pmandelbulber2-data mandelbulber2/data usr/share/mandelbulber2
	dh_install -pmandelbulber2-data mandelbulber2/qt_data usr/share/mandelbulber2
	dh_install -pmandelbulber2-data mandelbulber2/language usr/share/mandelbulber2

override_dh_installchangelogs:
	dh_installchangelogs mandelbulber2/deploy/NEWS

=== debian/watch ===
version=4
opts="uversionmangle=s%-%.%,filenamemangle=s%/buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz%mandelbulber2-$1.tar.gz%" \
https://github.com/buddhi1980/mandelbulber2/tags /buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz debian

## mandelbulber2 2.10

=== debian/changelog ===
mandelbulber2 (2.10-0mx15+1) mx; urgency=medium

  * New upstream release:
    - AnimBySound: Added option to animate any parameter using sound wave (added
      "Anim By Sound" buttons in animation table).
    - AnimBySound: Added dialog window to load and setup AnimBySound feature.
    - AnimBySound: Added views for waveform, fft and animation generated
      from sound.
    - AnimBySound: It is possible to load wav, ogg, flac (all operating systems)
      and mp3 (Linux only).
    - AnimBySound: Added binary, decay and smooth filters for animation
      generated from sound.
    - AnimBySound: Added sound player.
    - Settings: added description field for fractal settings.
    - Settings: fixed bug: there was not possible to load settings saved with
      CR+LF line terminations.
    - Settings: material #1 was not saved properly to settings file when was
      previously loaded using "Load material..." option.
    - Added new fractal formulas:
      * Menger - Prism Shape2
      * MixPinski 4D
      * Sierpinski 3D
      * Sierpinski 4D
      * Menger 4D
      * Menger 4D Mod1
      * Menger - Smooth
      * Menger - Smooth Mod1
      * Menger - Octo
      * Abox 4D
      * Transform - SurfBoxFold
      * Transform - Octo Fold
      * Transform - ScaleVaryVCL
      * Transform - Spherical_Fold_VaryVCL
      * Transform - Add exp2(z)
      * Transform - Reciprocal3
      * Transform - Reciprocal 4D
      * Transform - Rotated Folding
      * Transform - FabsAddConditional
      * Transform - Reciprocal 4D
      * Transform - FabsAddConditional 4D
      * Transform - Spherical_OffsetVCL
      * Transform - Rotation 4D
    - Fractals: Various updates, fixes and enhancements to existing formulas
      and transforms.
    - Fractals: fixed bug: after swapping of formula slots, the Mandelbulb
      formula appeared on random slots.
    - German translation for all formula UIs.
    - Shaders: in some cases there was wrong calculation of object colors
     in boolean mode.
    - Shaders: fixed bug in DOF algorithm which could cause crashes.
    - Animation: Improved gamepad integration for flight animations.
    - Animation: Added image with gamepad keymap (tooltip).
    - Animation: there is displayed correct message when first frame was equal
      to last frame.
    - Animation: increased maximum value in frames per keyframe spinbox to 10000
    - Animation: fixed bug: there was possible to get different interpolation
      type (random one) for each frame.
    - Animation: fixed bug: check for collision showed false messages even if
      errors were already corrected.
    - Materials/Animation: fixed bug: program crashed with animation, when there
      was an added parameter from material which was previously loaded using
      "Load material" button.
    - Materials/Animation: fixed bug: program crashed with animation, when
      there was an added parameter from material which was previously edited
      using dialog called by Edit Material button.
    - UI: Image quality settings added to file selector for images.
    - UI: Corrected resolution lock function.
    - UI: auto-refresh is now disabled when brightness, gamma, contrast or
      HDR is changed.
    - UI: added information in fractal formula information box about examples
      which use the formula.
    - UI: changed and added more keyboard shortcuts for camera navigation.
    - UI: fixed bug: When the group box of primitives was saved and then loaded
      the group was always enabled.
    - UI: when dark theme is used then text color in animation table is always
      black.
    - UI: added Dutch language.
    - UI: added options to store/restore different layouts (states) of docks.
    - UI: navigation dock is locked when flight is being recorded.
    - UI: fixed bug: When boolean mode was selected, the displayed DE type 
      displayed as "DE unknown".
    - UI: fixed bug: Refreshing of DOF and image adjustments now is blocked
      during rendering of image.
    - Voxel export: added automatic calculation of bounding box.
    - Voxel export: Added ability to export 3D meshes in *.ply format.
    - General: changed data folder from .mandelbulber (hidden) to mandelbulber
      (not hidden).
    - General: changed default folder for animation frames to
      ~/mandelbulber/animation.
    - General: fixed bug: Wrong file names when contained dot.
    - CLI: added stdin input for CLI arguments.
    - CLI: added --benchmark option which calculates total time needed to render
      all examples in low resolution.
    - Performance: fixed several memory leaks.
    - Performance: eliminated crash reason: added Added QMutexLocker() to all
      getters and setters for in cParameterContainer class.
    - Performance: Animation player widget caused crashes when frames were
      deleted from image folder.
    - Documentation: Added help menu with user manual (beta version).
    - Examples: Added many example settings with most of new formulas.
    - Compilation: main window UI file divided onto several smaller UIs, this
      has improved compilation performance.
    - Compilation: used a lot of forward declarations to reduce compilation time
    - Compilation: code is now fully compatible with msvc.
    - Compilation: created solution file for msvc14 with all needed NuGet
      packages.
    - Compilation: configured Appveyor to test msvc++ builds.
    - Compilation: a lot of cleaning up of the code.
    - Compilation: much improved populateUiInformation.php script.
    - Compilation: added export CXXFLAGS="-march=native to install script.
  * Add qtmultimedia5-dev to build-deps for new audio file support.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Mar 2017 14:27:58 -0800

mandelbulber2 (2.09.3-0mx15+1) mx; urgency=medium

  * New upstream release:
    - Settings: Fixed bug in function which adds missing material no. 1 during
      loading settings. When material no. 1 was default, this material was not


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: mandelbulber2
 Section: math
 Priority: extra
-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev, libgsl-dev,
- qttools5-dev, qttools5-dev-tools, docbook-xsl, xsltproc
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
+ libgsl0-dev, qtmultimedia5-dev,  qttools5-dev, qttools5-dev-tools, docbook-xsl,
+ xsltproc
 Standards-Version: 3.9.8
 Homepage: https://github.com/buddhi1980/mandelbulber2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
@@ -11,7 +14,8 @@
 
 Package: mandelbulber2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ mandelbulber2-data (= ${source:Version})
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT=qt5

%:
	dh $@ --parallel

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.man.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_clean:
	cd makefiles ; if [ -f Makefile ] ; then make clean ; rm Makefile ; fi
	rm -f *.1

override_dh_auto_configure:
	cd makefiles ; qmake -qt5

override_dh_auto_build: mandelbulber2.1
	cd makefiles ; make

override_dh_auto_install:
	dh_install -pmandelbulber2 makefiles/mandelbulber2 usr/bin
	dh_install -pmandelbulber2 mandelbulber2.desktop usr/share/applications
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/*
	dh_install -pmandelbulber2-data usr/share/mandelbulber2/* usr/share/mandelbulber2

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## mandelbulber2 2.13.2

=== mandelbulber2/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mandelbulber2)

# Detect Compilation System.
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
	set(USING_CLANG TRUE)
	message(STATUS "Clang Compiler Detected")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
	set(USING_GNU TRUE)
	message(STATUS "GNU Compiler Detected")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
	set(USING_INTEL TRUE)
	message(STATUS "Intel Compiler Detected")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
	set(USING_MSVC TRUE)
	message(STATUS "MSVC Compiler Detected")
endif()

# Find includes in corresponding build directories.
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# set module find scripts
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/modules/")
message(STATUS "${PROJECT_SOURCE_DIR}/modules/")

# Qt intermediate build config and setup.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# Find necessary qt libraries.
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5UiTools REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Multimedia REQUIRED)

# Find other required libraries.
find_package(PNG REQUIRED)
find_package(GSL REQUIRED)
find_package(LZO REQUIRED)

# Find other optional libraries.
find_package(TIFF)
find_package(JPEG)
find_package(ZLIB)
find_package(ECM NO_MODULE)
find_package(OpenCL)

# Extra CMake Modules package required for OpenEXR.
IF(ECM_FOUND)
	set(CMAKE_MODULE_PATH ${ECM_FIND_MODULE_DIR})
	find_package(OpenEXR)
ENDIF()

IF(WIN32 AND NOT USING_INTEL)
	# WIN32 MSVC
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GL /Ox")
ELSEIF(NOT USING_INTEL)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math -fopenmp -std=c++11")
ENDIF()

# Find all sources.
file(GLOB srcHeader "../src/*.h" "../src/*.hpp")
file(GLOB srcDef "../src/*.c" "../src/*.cpp")
file(GLOB qtHeader "../qt/*.h" "../qt/*.hpp")
file(GLOB qtDef "../qt/*.c" "../qt/*.cpp")
set(SOURCE_FILES ${srcHeader} ${srcDef} ${qtHeader} ${qtDef} ../qt/icons.qrc)
set(CMAKE_AUTOUIC_SEARCH_PATHS ../qt/)

# Find all ui files in qt/*.ui and add for header generation and linking.
file(GLOB qt_UI "../qt/*.ui")
#QT5_WRAP_UI(qt_UI_H ${qt_UI})

include_directories(..)
include_directories(../qt)

# Add source files to the build target.
add_executable(mandelbulber2 WIN32
	${SOURCE_FILES} ${ADDITIONAL_EXECUTABLE} ${qt_UI_H})

# Link qt libraries.
qt5_use_modules(mandelbulber2 Core Widgets Network Gui UiTools Test Multimedia)

# Link other required libraries.
include_directories(${PNG_INCLUDE_DIR} ${GSL_INCLUDE_DIRS} ${LZO_INCLUDE_DIR})
target_link_libraries(mandelbulber2 ${PNG_LIBRARY} ${GSL_LIBRARIES} ${LZO_LIBRARIES})

# Link other optional libraries and set corresponding flag definitions .
IF(TIFF_FOUND)
	include_directories(${TIFF_INCLUDE_DIR})
	target_link_libraries(mandelbulber2 ${TIFF_LIBRARY})
	add_definitions(-DUSE_TIFF)
ENDIF()

IF(OpenEXR_FOUND)
	include_directories(${OpenEXR_INCLUDE_DIRS})
	target_link_libraries(mandelbulber2 ${OpenEXR_LIBRARIES})
	add_definitions(-DUSE_EXR)
ENDIF()

IF(USE_GAMEPAD)
	find_package(Qt5Gamepad)
	target_link_libraries(mandelbulber2 Qt5::Gamepad)
	add_definitions(-DUSE_GAMEPAD=1)
ENDIF()

IF(ZLIB_FOUND)
	include_directories(${ZLIB_INCLUDE_DIRS})
	target_link_libraries(mandelbulber2 ${ZLIB_LIBRARIES})
ENDIF()

IF(JPEG_FOUND)
	include_directories(${JPEG_INCLUDE_DIR})
	target_link_libraries(mandelbulber2 ${JPEG_LIBRARY})
ENDIF()

IF(OpenCL_FOUND)
	MESSAGE(STATUS "Found OpenCL ${OpenCL_VERSION_STRING}")
	include_directories(${OpenCL_INCLUDE_DIRS})
	target_link_libraries(mandelbulber2 ${OpenCL_LIBRARY})
	add_definitions(-DUSE_OPENCL=1)
ELSE()
	MESSAGE("OpenCL not found!")
ENDIF()

IF(USE_OFFLOAD)
	add_definitions(-DUSE_OFFLOAD=1)
ENDIF()

# Check if we are using the Visual Studio compiler on windows,
# disable CRT warnings for libc functions marked as insecure
IF(WIN32 AND MSVC AND NOT USING_INTEL)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS=1)
ENDIF()

# Installation
# TODO: macOS

if(WIN32 OR APPLE)
	set(RELATIVE_DEFAULT ON)
else()
	set(RELATIVE_DEFAULT OFF)
endif()

option(INSTALL_RELATIVE "Make Mandelbulber search for data files in paths relative to the executable" ${RELATIVE_DEFAULT})

set(INSTALL_PATH bin)
set(SHARED_DIR "${CMAKE_INSTALL_PREFIX}/share/mandelbulber2")

if(INSTALL_RELATIVE)
	if(NOT UNIX)
		set(INSTALL_PATH .)
	endif()
	set(SHARED_DIR_DEF "share/mandelbulber2")
else()
	set(SHARED_DIR_DEF "${SHARED_DIR}")
endif()

if(UNIX AND NOT APPLE)
	install(FILES ../deploy/linux/mandelbulber2.desktop
			DESTINATION share/applications)
	install(FILES ../deploy/share/mandelbulber2/icons/mandelbulber.png
			DESTINATION share/icons/hicolor/256x256/apps/
			RENAME mandelbulber2.png)
endif()

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_PATH})

add_definitions("-DSHARED_DIR=\"${SHARED_DIR_DEF}\"")

if(WIN32)
	install(FILES ../deploy/win64/mandelbulber2.ico
			DESTINATION .)
endif()

install(DIRECTORY ../deploy/share/mandelbulber2/ DESTINATION "${SHARED_DIR}")
install(DIRECTORY ../formula DESTINATION "${SHARED_DIR}")
install(DIRECTORY ../language DESTINATION "${SHARED_DIR}")
install(DIRECTORY ../opencl DESTINATION "${SHARED_DIR}")

=== debian/changelog ===
mandelbulber2 (2.13.2-5+rb2) UNRELEASED; urgency=medium

  * update

 -- Giovanni Mascellani <gio@debian.org>  Fri, 22 Jan 2021 11:55:54 +0800

mandelbulber2 (2.13.2-5) unstable; urgency=medium

  * Support cross building (closes: #923133). Thanks To Helmut Grohne for the
    patch.
    + Let dh_auto_configure pass cross flags to qmake.
    + Add qt5-qmake:native as build dependency.

 -- Giovanni Mascellani <gio@debian.org>  Sun, 24 Feb 2019 17:30:15 +0100

mandelbulber2 (2.13.2-4) unstable; urgency=medium

  * Add missing Replaces: directives (closes: #902962).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 05 Jul 2018 09:58:11 +0200

mandelbulber2 (2.13.2-3) unstable; urgency=medium

  * Workaround a bug in LaTeX package chngcntr, which caused a FTBFS (closes:
    #897534).
  * Fix compilation on ppc64el (closes: #897445).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 03 May 2018 09:03:01 +0200

mandelbulber2 (2.13.2-2) unstable; urgency=medium

  * Properly separate builds for architecture dependent and independent
    files.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 16 Apr 2018 20:15:47 +0200

mandelbulber2 (2.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* after migration to salsa.
  * Support parallel building.
  * Support nodoc build option.
  * Bump Standards-Version to 4.1.4, with small changes.
  * Add doc-base registration for the PDF end user manual.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 16 Apr 2018 15:00:38 +0200

=== debian/control ===
Source: mandelbulber2
Section: math
Priority: optional
Maintainer: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Arch: qtbase5-dev, qtmultimedia5-dev, libpng-dev,
 libgsl-dev, qttools5-dev, qttools5-dev-tools, opencl-dev,
 opencl-clhpp-headers, liblzo2-dev, qt5-qmake:native
Build-Depends-Indep: docbook-xsl, xsltproc, texlive-plain-generic,
 texlive-latex-extra, texlive-pictures, texlive-fonts-recommended,
 lmodern, ghostscript
Standards-Version: 4.1.4
Homepage: https://github.com/buddhi1980/mandelbulber2
Vcs-Browser: https://salsa.debian.org/debian/mandelbulber2
Vcs-Git: https://salsa.debian.org/debian/mandelbulber2.git

Package: mandelbulber2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
Replaces: mandelbulber2-data (<< 2.13.2-4)
Description: 3D fractal renderer and animator
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.

Package: mandelbulber2-data
Architecture: all
Depends: ${misc:Depends}
Replaces: mandelbulber2 (<< 2.13.2-4)
Description: 3D fractal renderer and animator - data files
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.
 .
 This package contains architecture-independent data files for
 Mandelbulber2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT=qt5

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEJFLAG += -j$(NUMJOBS)
endif

%:
	dh $@

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.man.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_clean:
	rm -fr build
	rm -fr docs/build
	rm -f *.1

override_dh_auto_configure-arch:
	dh_auto_configure --builddirectory=build --sourcedirectory=mandelbulber2/qmake -- ../mandelbulber2/qmake/mandelbulber-opencl.pro

override_dh_auto_build-arch:
	cd build ; make $(MAKEJFLAG)
	cd build ; mkdir language ; cd language ; cp -l ../../mandelbulber2/language/* . ; lrelease *.ts

override_dh_auto_build-indep: mandelbulber2.1
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs ; ./build.sh
endif

override_dh_auto_install-arch:
	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
	dh_install -pmandelbulber2 build/mandelbulber2 usr/bin
	dh_install -pmandelbulber2 build/language/*.qm usr/share/mandelbulber2/language
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	ln -s ../mandelbulber2-data/handbook.pdf.gz debian/mandelbulber2/usr/share/doc/mandelbulber2
endif

override_dh_auto_install-indep:
	dh_install -pmandelbulber2-data mandelbulber2/deploy/share/mandelbulber2 usr/share
	dh_install -pmandelbulber2-data mandelbulber2/formula usr/share/mandelbulber2
	dh_install -pmandelbulber2-data mandelbulber2/opencl usr/share/mandelbulber2

override_dh_installchangelogs:
	dh_installchangelogs mandelbulber2/deploy/NEWS

=== debian/watch ===
version=4

# Main tarball
opts="uversionmangle=s%-%.%,filenamemangle=s%/buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz%mandelbulber2-$1.tar.gz%" \
https://github.com/buddhi1980/mandelbulber2/tags /buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz debian

# Docs tarball
opts="component=docs" \
https://github.com/buddhi1980/mandelbulber_doc/tags /buddhi1980/mandelbulber_doc/archive/(untagged-9c838324e52b8d550bb8).tar.gz ignore

## mandelbulber2 2.14

=== debian/changelog ===
mandelbulber2 (2.14-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * debian/control: conflict and replace packages older than 2.13.2.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jul 2018 16:37:29 -0700

mandelbulber2 (2.13.2-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop debhelper compat to 10 to ease backports.
  * Add alternative B-Ds texlive-generic-extra and texlive-generic-recommended.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jul 2018 15:02:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: mandelbulber2
 Section: math
 Priority: optional
-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 11)
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: qtbase5-dev, qtmultimedia5-dev, libpng-dev,
  libgsl-dev, qttools5-dev, qttools5-dev-tools, opencl-dev,
- opencl-clhpp-headers, liblzo2-dev, qt5-qmake:native
-Build-Depends-Indep: docbook-xsl, xsltproc, texlive-plain-generic,
+ opencl-clhpp-headers, liblzo2-dev
+Build-Depends-Indep: docbook-xsl, xsltproc, 
+ texlive-plain-generic | texlive-generic-extra,
+ texlive-plain-generic | texlive-generic-recommended, 
  texlive-latex-extra, texlive-pictures, texlive-fonts-recommended,
  lmodern, ghostscript
 Standards-Version: 4.1.4
@@ -17,7 +20,8 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
-Replaces: mandelbulber2-data (<< 2.13.2-4)
+Conflicts: mandelbulber-data (<< 2.13.2)
+Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
@@ -31,7 +35,8 @@
 Package: mandelbulber2-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: mandelbulber2 (<< 2.13.2-4)
+Conflicts: mandelbulber (<< 2.13.2)
+Replaces: mandelbulber (<< 2.13.2)
 Description: 3D fractal renderer and animator - data files
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex

## mandelbulber2 2.15

=== debian/changelog ===
mandelbulber2 (2.15-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.
  * debian/rules: disable override_dh_auto_build-indep
  * Drop  fix-ppc64el-FTBFS-with-altivec-and-std-c++11.patch and
    fix-latex-chngcntr.patch.
  * debian/control:
    - add docbook-xml to B-D to prevent FTBFS.
    - add nvidia-opencl-icd and mesa-opencl-icd as recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Nov 2018 12:43:32 -0800

## mandelbulber2 2.16

=== debian/changelog ===
mandelbulber2 (2.16-0.1~mx17+2) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Jan 2019 18:16:02 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: qtbase5-dev, qtmultimedia5-dev, libpng-dev,
  libgsl-dev, qttools5-dev, qttools5-dev-tools, opencl-dev,
  opencl-clhpp-headers, liblzo2-dev
-Build-Depends-Indep: docbook-xsl, xsltproc, 
+Build-Depends-Indep: docbook-xsl, docbook-xml, xsltproc, 
  texlive-plain-generic | texlive-generic-extra,
  texlive-plain-generic | texlive-generic-recommended, 
  texlive-latex-extra, texlive-pictures, texlive-fonts-recommended,
@@ -20,6 +20,7 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
+Recommends: nvidia-opencl-icd, mesa-opencl-icd
 Conflicts: mandelbulber-data (<< 2.13.2)
 Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator

=== debian/rules ===
--- 
+++ 
@@ -28,23 +28,23 @@
 	rm -f *.1
 
 override_dh_auto_configure-arch:
-	dh_auto_configure --builddirectory=build --sourcedirectory=mandelbulber2/qmake -- ../mandelbulber2/qmake/mandelbulber-opencl.pro
+	mkdir build ; cd build ; qmake -qt5 ../mandelbulber2/qmake/mandelbulber-opencl.pro
 
 override_dh_auto_build-arch:
 	cd build ; make $(MAKEJFLAG)
 	cd build ; mkdir language ; cd language ; cp -l ../../mandelbulber2/language/* . ; lrelease *.ts
 
-override_dh_auto_build-indep: mandelbulber2.1
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	cd docs ; ./build.sh
-endif
+# override_dh_auto_build-indep: mandelbulber2.1
+# ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+# 	cd docs ; ./build.sh
+# endif
 
 override_dh_auto_install-arch:
 	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
 	dh_install -pmandelbulber2 build/mandelbulber2 usr/bin
 	dh_install -pmandelbulber2 build/language/*.qm usr/share/mandelbulber2/language
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	ln -s ../mandelbulber2-data/handbook.pdf.gz debian/mandelbulber2/usr/share/doc/mandelbulber2
+	ln -s ../mandelbulber2-data/Mandelbulber_Manual.pdf.gz debian/mandelbulber2/usr/share/doc/mandelbulber2
 endif
 
 override_dh_auto_install-indep:
@@ -54,3 +54,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs mandelbulber2/deploy/NEWS
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mandelbulber2 2.18.1

=== debian/changelog ===
mandelbulber2 (2.18.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - fixed problem with locked auto-refresh function.
    - fixed bug in CMakeList - there was missing SHARED_DOC_DIR definition.
    - Added new fractal formulas:
      - amazingSurfMod3
      - transfRotationIterControls
      - transfClamp4d
      - transfAbsAddMulti4d
      - transfRotateAboutVec3
      - transfOffsetSCurve4d
      - transfGnarl
      - transfBoxTiling4d
    - Modified fractal formulas:
      - menger middle mod, added vary scale and sphere inversion
      - trans_scale4d, added vary scale
      - aboxModKaliV2, added oldZ sign transform
      - transfAbsAddTgladFold4d, added iter controls and aux.color
      - transfBoxFold4dTglad, added linear vary scale option
      - mandelboxVariable, added variable functions for box limits and addCpixel
      - aboxModKali, added pre-rotation (variable)
      - transfQuaternionFold, re-structure DE
    - OpenCL: Added rendering of stereoscopic images.
    - OpenCL: Disabled loading of textures in fast and medium OpenCL modes
      (improves performance).
    - OpenCL: Fixed problem with "nan" estimated noise when some of pixels have
      infinite brightness.
    - OpenCL: Added missing code for DeltaDE josKleinian. Fixed bug #627.
    - OpenCL: Corrected displaying of total rendering time when DOF is used.
    - Effects: Added rectangle, circle, cube and sphere shapes to "fake lights"
      algorithm.
    - Effects: Added "thickness" parameter for "fake lights".
    - Effects: Added reduction of stereoscopic effect on poles when is used
      equirectangular projection.
    - Effects: Swapped eyes in top-bottom mode (default was incorrect when
      uploaded into Youtube).
    - Effects: Added button "Calculate optimal distance between eyes" for
      stereoscopic rendering.
    - Effects: Fixed bug in openCL multi-ray AO #634. When iterThreshMode was
      enabled, the detailLevel parameter was still used.
    - Effects: Added elimination of calculation of DOF at pixels with
      zero distance
    - Settings: Corrected loading of settings with animation containing
      parameters with names *_x, *_y, *_z, which are not vectors
    - Files: Added saving metadata (scene parameters) into image files.
    - Files: Fixed bug #637. Now files from _alpha and _zbuffer directories
      are deleted.
    - Files: Added saving 8-bit JPG z-buffer.
    - UI: Corrected behavior of "Default window layout".
    - UI: Disabled auto-refresh before settings are loaded (fixed problem with
      partial loading of settings).
    - UI: Better handling for "Material is not defined" problem.
      Fixed issue #636.
    - UI: Added displaying of path to log in Preferences.
    - UI: Added option to enable/disable rendering of thumbnails (used in load
      settings file selector).
    - UI: Fixed bug #654. Now central widget is not hidden when rendered image
      is detached.
    - UI: Fixed problem with unwanted repeating of rendering after mouse
      dragging.
    - Fractals: Added advanced controls for raymarching step calculation.
    - Compilation: Added 'make install' option for qmake.
    - Compilation: Added support for running Mandelbulber as portable
      application under Linux.
    - Compilation: Added continuous integration for AppImage.
    - Compilation: Fixed bug #655. Corrected paths tof doc and data in
      prepare_for_dev* scripts.

  * Actually build and install the PDF Manual from the doc sources like Debian prefers it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jun 2019 20:37:44 -0700

mandelbulber2 (2.17-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
    - Added new fractal formulas
    - josKleinianV2
    - mandelbulbAtan2Power2
    - bristorbrot2
    - mandeltorus
    - mandelbulbEye
    - transfBoxWrap4d
    - transfSphericalInvV2 BETA
    - added sphere inversion to PseudoKleinian and Jos Kleinian
    - fixed scale in transfAbsAddConditional 3d & 4d
    - fixed type2 fold in amazingSurfMod2
    - OpenCL: Added support for multi-GPU rendering
    - OpenCL: Rendering by GPUs moved to separate thread. Image processing and
      refreshing doesn't slow down rendering and GPUs can be utilized to 100%
    - OpenCL: Added reservation of GPU time for the system
    - OpenCL: Improved quality of volumetric effects in OpenCL mode (when the 
      distance from camera varies greatly)
    - OpenCL: improved error handling
    - OpenCL: Thumbnails in PreviewFileDialog are now rendered using OpenCL (or
      using CPU if distance to fractal is less than 1e-5)
    - Fractals: Corrected rendering of fractal cross-sections
    - Fractals:
    - Fixed problem with Pseudo Kleinian fractal which doesn't use maxiter and
      interior mode
    - Shaders: Added new properties for material color:
    - luminosity color the same as object color
    - color of reflections
    - color of reflections the same as object color
    - color of transparency
    - color of transparency the same as object color
    - Shaders: Added roughness property to materials
    - Shaders: Fixed variation in brightness between different image resolutions
      when "connect detail level with image resolution" was enabled.
    - Shaders: Fixed bug causing wrong appearance of specular highlights when
      diffusionTextureIntensity was low and texture mapping was disabled.
    - Shaders: Fixed bug: glow was not calculated on CPU with interior mode
    - Shaders: There was missing updating input.delta in volumetric shader (CPU
      code) - issue #614
    - Shaders: Fixed bug #618. Max distance for SSAO was limited to 100.0
    - Shaders: Fixed bug in AmbientOcclusion shader (wrong appearance when
      maxiter reached)
    - Shaders: Corrected code for non-DE shading mode to not use distance
      estimation at all.
    - UI: Added displaying of last rendered tiles with noise statistics when MC
      is used.
    - UI: Fixed not working Reset (local reset) buttons


## mandelbulber2 2.19

=== debian/changelog ===
mandelbulber2 (2.19-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Added new fractal formulas
      - mandelbulbPower1234
      - mengerPolyFold
      - ifs_xy
      - transfDiagonalFold
      - transfPolyFoldAtan
      - transfPolyFoldAtan2
      - transfAbsAddConditional2
    - modified fractal formulas
      - transfPolyFoldSymXY, added XY to name and updated code
      - transfPolyFoldSymMulti, updated code
    - Shaders: surface color palette replaced with gradient editor
    - Shaders: added gradient for specular highlights
    - Shaders: added gradient for diffusion
    - Shaders: added gradient for luminosity
    - Shaders: added gradient for reflectance
    - Shaders: added gradient for transparency
    - Shaders: added gradient for roughness
    - Shaders: added texture mapping for reflectance
    - Shaders: added texture mapping for transparency
    - Shaders: added texture mapping for roughness
    - Shaders: added global illumination by volumetric effects
    - Shaders: Fixed bug: corrected rotation of textures when main fractal object is rotated 
    - Animation: added morphing of gradients
    - Primitives: improved water animation
    - UI: added context menu and quick action buttons for gradients
    - UI: Added option in preferences to disable tooltips (fixed issue #213)
    - UI: Select Fusion UI style as default when none is selected
    - UI: Fixed bugs #682 and #594: after using ctrl+s cursor permanently jumped to the right in edit fields 
    - Settings: added conversion of old color palettes to new gradients
    - Image: added saving diffuse optional channel
    - Image: added saving world coordinate optional channel
    - Code: refactored code for NetRender
    - Code: a lot of small code improvements and cleaning up
    - Compilation: Added missing installer.pri to the Linux package
    - Compilation: moved to Qt 5.12 in msvc builds for Windows
    - Fixed bug: fix for crashing when preview size was changed during rendering
    - Fixed bug: when program was closed during populating toolbar, there was left zombie process.
    - Fixed bug #609: Now it is not possible to run with OpenCL platform index -1
    - Examples: added many new example settings

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Aug 2019 16:40:48 -0700

mandelbulber2 (2.18.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - fixed problem with locked auto-refresh function.
    - fixed bug in CMakeList - there was missing SHARED_DOC_DIR definition.
    - Added new fractal formulas:
      - amazingSurfMod3
      - transfRotationIterControls
      - transfClamp4d
      - transfAbsAddMulti4d
      - transfRotateAboutVec3
      - transfOffsetSCurve4d
      - transfGnarl
      - transfBoxTiling4d
    - Modified fractal formulas:
      - menger middle mod, added vary scale and sphere inversion
      - trans_scale4d, added vary scale
      - aboxModKaliV2, added oldZ sign transform
      - transfAbsAddTgladFold4d, added iter controls and aux.color
      - transfBoxFold4dTglad, added linear vary scale option
      - mandelboxVariable, added variable functions for box limits and addCpixel
      - aboxModKali, added pre-rotation (variable)
      - transfQuaternionFold, re-structure DE
    - OpenCL: Added rendering of stereoscopic images.
    - OpenCL: Disabled loading of textures in fast and medium OpenCL modes
      (improves performance).
    - OpenCL: Fixed problem with "nan" estimated noise when some of pixels have
      infinite brightness.
    - OpenCL: Added missing code for DeltaDE josKleinian. Fixed bug #627.
    - OpenCL: Corrected displaying of total rendering time when DOF is used.
    - Effects: Added rectangle, circle, cube and sphere shapes to "fake lights"
      algorithm.
    - Effects: Added "thickness" parameter for "fake lights".
    - Effects: Added reduction of stereoscopic effect on poles when is used
      equirectangular projection.
    - Effects: Swapped eyes in top-bottom mode (default was incorrect when
      uploaded into Youtube).
    - Effects: Added button "Calculate optimal distance between eyes" for
      stereoscopic rendering.
    - Effects: Fixed bug in openCL multi-ray AO #634. When iterThreshMode was
      enabled, the detailLevel parameter was still used.
    - Effects: Added elimination of calculation of DOF at pixels with
      zero distance
    - Settings: Corrected loading of settings with animation containing
      parameters with names *_x, *_y, *_z, which are not vectors
    - Files: Added saving metadata (scene parameters) into image files.
    - Files: Fixed bug #637. Now files from _alpha and _zbuffer directories
      are deleted.
    - Files: Added saving 8-bit JPG z-buffer.
    - UI: Corrected behavior of "Default window layout".
    - UI: Disabled auto-refresh before settings are loaded (fixed problem with
      partial loading of settings).
    - UI: Better handling for "Material is not defined" problem.
      Fixed issue #636.
    - UI: Added displaying of path to log in Preferences.
    - UI: Added option to enable/disable rendering of thumbnails (used in load
      settings file selector).
    - UI: Fixed bug #654. Now central widget is not hidden when rendered image
      is detached.
    - UI: Fixed problem with unwanted repeating of rendering after mouse
      dragging.
    - Fractals: Added advanced controls for raymarching step calculation.
    - Compilation: Added 'make install' option for qmake.
    - Compilation: Added support for running Mandelbulber as portable
      application under Linux.
    - Compilation: Added continuous integration for AppImage.
    - Compilation: Fixed bug #655. Corrected paths tof doc and data in
      prepare_for_dev* scripts.

  * Actually build and install the PDF Manual from the doc sources like Debian prefers it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jun 2019 20:37:44 -0700

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
-Recommends: nvidia-opencl-icd, mesa-opencl-icd
+Recommends: beignet-opencl-icd | nvidia-opencl-icd | mesa-opencl-icd
 Conflicts: mandelbulber-data (<< 2.13.2)
 Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,11 @@
 	cd build ; make $(MAKEJFLAG)
 	cd build ; mkdir language ; cd language ; cp -l ../../mandelbulber2/language/* . ; lrelease *.ts
 
-# override_dh_auto_build-indep: mandelbulber2.1
-# ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# 	cd docs ; ./build.sh
-# endif
+override_dh_auto_build-indep: mandelbulber2.1
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cd docs ; ./build.sh
+	cp docs/build/handbook.pdf mandelbulber2/deploy/doc/Mandelbulber_Manual.pdf
+endif
 
 override_dh_auto_install-arch:
 	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
